TechnoratiランクのWordPressプラグインバージョン2がリリースされました!

最初のTechnoratiランクプラグインに続いて、出力コンテンツを再設計して作成しました CSS 駆動型(以下はスクリーンショットです。私のサイトのサイドバーにあるものと対話できます):

TechnoratiランクのWordPressプラグインバージョン2

これは作成するのがかなり困難でしたが、出力ははるかに優れています。 まず、これまで学んできたことを活用しました ビットボックス Illustratorで画像の各出力ボタンを作成します。

次のステップは、スタイルを利用して実際に誰かを構築することでした イメージマップ 実際にあることを除いて 地図なし! 実はかなりかっこいいです。 全体的なdivの背景を設定してから、絶対位置とCSSを使用して各「ホットスポット」を作成できます。 出力CSSを表示します。

Technoratiの新しいものへのリンクも追加しました WTF ページとサイトのRSSアドレス。 気に入ってくれるといいな! 最初のバージョンから大幅に改善されたと思います! あります i プラグインも宣伝する右下のリンク。

現在のTechnoratiランクのWordPressプラグインバージョン2.0.4

23のコメント

  1. 1
    • 2

      確かに! 私はかなり前からイラストレーターの支援を探していました。 私はそれを素晴らしいものにするのに十分に使っていないので、Bittboxのようなサイトは私に多くの時間を節約します!

  2. 3

    「手紙」への指示に従って、最新かつ最高のものをインストールしようとしました🙂

    しかし、私は次のエラーが発生しました

    致命的なエラー:存在しないクラスをインスタンス化できません:4行目の/home/winex64/public_html/wp-content/plugins/technorati-rank/technorati-rank.phpのsimplexmlelement

    助言がありますか?

    • 4

      こんにちはスティーブン、

      これは、PHP5の一部であるSimpleXMLが開始されたときのエラーです。 サーバーにはPHP5がありますか?

      よろしく、
      ダグ

      • 5

        それは私に最初にチェックすることを教えてくれます..どうやらLunarpagesはPHPの4.4.4を実行しています

        他のバージョンをチェックするか、頑張って5.0にアップグレードするかどうかを確認する必要があると思います

        • 6

          私は彼らがそうすることを願っています! しかし、私はあなたのホストのアップグレードも望んでいます。 PHP5は、APIを使用するためのいくつかの優れたツールだけでなく、パフォーマンスの大幅な向上ももたらします。 私はジャンプラインを利用しています。ホームページのスポンサーリストにリンクが表示されます。 また、Dotsterには、最新かつ最高のVDSホスティングがいくつかあると思います。

      • 7

        ダグ、
        私は同じ問題を抱えています
        ホストに電話したところ、サーバーにはPHP4とPHP5があると言われましたが、PHP 5を使用してファイルを実行する場合、スクリプトのファイル拡張子は.php5である必要があります。

        だから…ファイル拡張子を変更すると、wordpressのプラグインから消えてしまいます。

        何か案は?

  3. 10

    素晴らしいプラグイン、優れたスタイリング! ダグ、そして素晴らしい仕事に感謝します。 私は最初のものについてさえ知りませんでした、しかしこれは私のサイドバーのプロントで起こっています。

    私のイラストレーターのヒントがあなたのボタンを作るのを助けたのを見るのは本当にやりがいがあります!!!!!

    再度、感謝します、

    〜BittBox

    • 11

      ありがとう、BittBox! 私はスタイルに目が向いていると思いますが、ほとんどの場合それを正しく理解しているようには見えません。 実際にサンプルをダウンロードして分析できることが違いを生みます。 私は今、それらのアイデアを実際に実行することができます。 🙂

      次に、ブログのヘッダーと背景についていくつか考えてみます。

  4. 12

    ダグ、バージョン2のプラグインは私を嫌っているようです。 エラーメッセージが表示されます:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    エラーメッセージにもかかわらず、Technoratiランク(〜26.5k:D)も表示されます。 私はPHPについて十分な知識がなく、なぜそのXNUMXつのファイルを泣いているのかを知ることができません。
    興味深いことに、私たちのサーバーではSuPHPを使用しているため、すべてが私たちと同じように実行されます(したがって、chmod要件では、誰でも書き込み可能なファイルは不要になり、chmodが高すぎるとphpスクリプトは実行されません)。

    このサブドメインのすべてのphpはphp5として実行されます。

    任意のアイデア?

    • 13

      wp-content / cacheディレクトリXialはありますか? WP-Cacheと同じキャッシュディレクトリを利用するのは良い考えだと思いました。 後から考えると、おそらくそれは良い考えではありませんでした! その行は間違いなくキャッシュファイルに書き込むことです。

      • 14

        確かにそうです、ダグ。 私はかなり長い間WP-Cacheを実行しています。 🙂

        私も必要なディレクトリを持っているので、なぜこれについて文句を言うのかについて少し興味がありましたが、それはまったく別のものだと思います。

      • 15

        追加する興味深い情報:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        それでもエラーが返されます。

    • 16

      同じエラーでチャイムを鳴らしたいだけです。 サイトはphp5を実行し、ボタンが表示されます。
      121〜123行目をコメントアウトしてみましたが、プラグは正常に機能します。 ライブにすることはできますか、それともこれらの行がないために長期的に問題が発生しますか?

  5. 17

    上記と同じエラーが発生します。これもキャッシュディレクトリだと思いましたが、キャッシュディレクトリがあり、書き込み権限が正しいことを確認しました。
    サイドバーにプラグイン(ランク付き)が表示されますが、その上にエラーが表示されます。

    • 18

      こんにちはリチャード、

      PHPバージョン5以降があり、CURLが有効になっていることを確認できますか? あなたはあなたのサイトにページを構築することによってこれを行うことができます <?php phpinfo(); ?> ページ内。 次に、そのページを開きます。 ページの上部にはご使用のバージョンのPHPが表示され、CURLを検索して有効になっていることを確認できます。

      ありがとうございます!
      ダグ

      • 19

        ダグ、PHPのバージョンを再確認しました。
        私はPHP5を実行しており、cURLがコンパイルされています(PHPにコンパイルするための、ホストへの通常のXNUMXつの要求のXNUMXつ)。

        他のすべては正常に機能しますが、PHPにコンパイルされたcURLのバージョンでない限り、このプラグインが窒息している理由は完全にはわかりません(現在、7.15.4であり、最新のものは7.16.1のようです)。 しかし、私がそれを助けることができれば、私はホストにphp5を再度コンパイルするようにせがむことはしたくありません。 <:3

        • 20

          今週末はもっと詳しく見ていきます。 いくつかのサイトで問題なく実行されているため、3。キャッシュ、1。cURL、または2.PHPバージョンの3つのうちのXNUMXつです。

          古いPHP4機能を利用してXMLをプルおよび解析できますが、かなり遅くなる可能性があります。今週末にテストします。 私はすべての入力に感謝します。 「ヒューストン、問題があります!」

  6. 21

    注:Technoratiは 権威 プラグイン

    また、このプラグインで問題が発生しているすべての人のために、新しいホストに移動することを強くお勧めします:)。 私は私のホストの下部にある12ヶ月の無料スペシャルを持っています 企業情報 のページをご覧ください。

  7. 22

    こんにちはダグ、

    プラグインの素晴らしい仕事。 Jumplineで「箱から出してすぐに」機能し、現在私のブログにインストールされています。

  8. 23

    キャッシュファイルの書き込みまたは読み取り中にエラーが発生したというリクエストをかなりの数受け取りました。 キャッシュファイルをルートディレクトリにプッシュおよびプルする際の問題を実際に特定しました。 プラグインのディレクトリ内のキャッシュサブディレクトリに書き込むようにバージョン2.0.4を変更しました。

    動作を教えてください! (まだSimpleXMLとcURLが必要です!)

どう思いますか?

このサイトはAkismetを使用して迷惑メールを減らします。 コメントの処理方法を学ぶ.